MQPageSet (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQPageSet interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQPageSet

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

    public interface MQPageSet

extends LogicalElement, MQBase

A page set is a VSAM linear data set that has been specially formatted to be used by WebSphere MQ. Page sets are used to store most messages and object definitions.

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQPAGESET

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDataset()` DSN(data set name) The name of a catalogued VSAM ESDS data set.
`java.lang.String` | `getName()`
`int` | `getPSID()` (psid-number) Identifier of the page set.
`MQQueueManager` | `getQueueManager()`
`MQStorageClass` | `getStorageClass()`
`boolean` | `hasDataset()`
`boolean` | `hasName()`
`boolean` | `hasPSID()`
`boolean` | `hasQueueManager()`
`boolean` | `hasStorageClass()`
`void` | `setDataset(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setPSID(int x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setStorageClass(MQStorageClass x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDataset

    java.lang.String getDataset()
                                throws AttributeNotSetException

  DSN(data set name) The name of a catalogued VSAM ESDS data set. This is optional. There is no default.

  Throws:
    `AttributeNotSetException`

### setDataset

    void setDataset(java.lang.String x)

### hasDataset

    boolean hasDataset()

### getStorageClass

    MQStorageClass getStorageClass()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Advertises" reverse="false"

### setStorageClass

    void setStorageClass(MQStorageClass x)

### hasStorageClass

    boolean hasStorageClass()

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getPSID

    int getPSID()
                throws AttributeNotSetException

  (psid-number) Identifier of the page set. This is required. A one-to-one relationship exists between page sets and the VSAM data sets used to store the pages. The identifier consists of a number in the range 00 through 99. It is used to generate a ddname, which references the VSAM ESDS data set, in the range CSQP0000 through CSQP0099. The identifier must not be the same as any other page set identifier currently defined on this queue manager.

  Throws:
    `AttributeNotSetException`

### setPSID

    void setPSID(int x)

### hasPSID

    boolean hasPSID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD